org.fife.ui.rsyntaxtextarea.parser

## Interface ExtendedHyperlinkListener

All Superinterfaces:
  EventListener

    public interface ExtendedHyperlinkListener
    extends EventListener

Listens for hyperlink events from `FocusableTip`s. In addition to the link event, the text area that the tip is for is also received, which allows the listener to modify the displayed content, if desired.

Version:
  1.0
Author:
  Robert Futrell

### Method Summary

Methods
`void` `linkClicked(RSyntaxTextArea textArea, HyperlinkEvent e)` Called when a link in a `FocusableTip` is clicked.

### Method Detail

#### linkClicked

    void linkClicked(RSyntaxTextArea textArea,
                   HyperlinkEvent e)

Called when a link in a `FocusableTip` is clicked.

Parameters:
  `textArea` - The text area displaying the tip.
  `e` - The event.